Difference between revisions of "Dali Project/KnownIssues"

From Eclipsepedia

Jump to: navigation, search
(New page: = Known Issues = ==Dali 2.3 (Helios) Known Issues and limitations== {| border="3" cellpadding="5" |+ '''Known Issues''' |'''Issue'''||'''Bug'''||'''Description''' |- | Multiple Persisten...)
 
(Dali 2.3 (Helios) Known Issues and limitations)
Line 21: Line 21:
 
| EclipseLink Mapping File Overrides
 
| EclipseLink Mapping File Overrides
 
| [https://bugs.eclipse.org/bugs/show_bug.cgi?id=251237 251237]
 
| [https://bugs.eclipse.org/bugs/show_bug.cgi?id=251237 251237]
| Dali is currently unable to support overriding existing orm.xml metadata with an eclipselink-orm.xml.  Non conflicting metadata is supported, but not in the case where metadata in the eclipselink-orm.xml specifically overrides existing content in the standard orm.xml file.
+
| Dali is currently unable to support overriding existing orm.xml metadata with an eclipselink-orm.xml.  Non-conflicting metadata is supported.  This limitation applies specifically to the case where metadata in the eclipselink-orm.xml overlaps existing content in the standard orm.xml file.
 
|-
 
|-
 
| EclipseLink exclude-default-mappings
 
| EclipseLink exclude-default-mappings
 
| [https://bugs.eclipse.org/bugs/show_bug.cgi?id=251548 251548]
 
| [https://bugs.eclipse.org/bugs/show_bug.cgi?id=251548 251548]
| Dali currently doesn't recognize the exclude-default-mappings setting in the eclipselink-orm.xml mapping file.  Defaults mapping information will still appear in the UI and will be used for validation when this flag has been set.
+
| Dali currently does not recognize the exclude-default-mappings setting in the eclipselink-orm.xml mapping file.  Defaults mapping information will still appear in the UI and will be used for validation when this flag has been set.
 
|}
 
|}

Revision as of 12:18, 14 June 2010

Known Issues

Dali 2.3 (Helios) Known Issues and limitations

Known Issues
Issue Bug Description
Multiple Persistence Unit Support 194833 Dali is currently unable to simultaneously support multiple persistence units in a single project. When working with multiple persistence units it is recommended to comment out all of the PU's in the persistence.xml that are not the particular PU that you want to work with.
Multi-project persistence unit 254480 Dali is currently unable to support the definition of a persistence unit across multiple Eclipse projects. One persistence.xml file is required per JPA project. The exception to this is the referencing of entities or JAR files on the project classpath (including other projects in the workspace), which is supported.
Alternate persistence.xml configuration (Maven, OSGi) 309030 Dali currently requires that the persistence.xml file be located in the META-INF directory in a java source folder. This limitation can be problematic for Maven or OSGi usage, but these issues can generally be worked around.
EclipseLink Mapping File Overrides 251237 Dali is currently unable to support overriding existing orm.xml metadata with an eclipselink-orm.xml. Non-conflicting metadata is supported. This limitation applies specifically to the case where metadata in the eclipselink-orm.xml overlaps existing content in the standard orm.xml file.
EclipseLink exclude-default-mappings 251548 Dali currently does not recognize the exclude-default-mappings setting in the eclipselink-orm.xml mapping file. Defaults mapping information will still appear in the UI and will be used for validation when this flag has been set.